@font-face {
    font-family: reg;
    src: url("fonts/regular.woff") format('woff');
}

@font-face {
    font-family: italic;
    src: url("fonts/italic.woff") format('woff');
}

@font-face {
    font-family: bold;
    src: url("fonts/bold.woff") format('woff');
}

@font-face {
    font-family: bold-italic;
    src: url("fonts/bold-italic.woff") format('woff');
}

a:hover p {

}

b {
    color: darkorange;
    font-weight: normal;
}

p {
    max-width: 115vh
}

h1 {
    /*max-width: 115vh;*/
    color: darkorange;
    text-transform: uppercase;
    margin-top: 3.4vh;
    font-family: reg, sans-serif;
    font-size: 4.5vh;
    padding: 0;

}

p, h4, h3, h2, * {
    margin: 0;
    padding: 0;
    font-family: reg, sans-serif;
    font-style: normal;
    font-size: 3vh;
    font-weight: normal;
    box-sizing: border-box;
}

h2 {
    text-transform: uppercase;
    color: darkorange;
}

h3, h3 a {
    color: darkorange;
}

h4 {
    text-decoration: underline;
}

.legenda {
    color: darkorange;
}

.nota {
    color: darkorange;
    margin: 0;
    padding: 0;
    font-family: reg, sans-serif;
    font-style: normal;
    font-size: 2vh;
    line-height: 2.5vh;
}

body, html {
    margin: 0;
    padding: 0;
    top: 0;
    left: 0;
    background-color: white
}

#subtitle, #left-menu *, #left-menu-model *,
.logo-letter *, #left-menu-mobile * {
    font-family: reg, sans-serif;
    font-size: 3vh;
}


.grid {
    display: grid;
}



#main-grid {
    height: calc(100vh - 1.5vh);
    width: calc(100vw - 3vh);
    margin-top: 1.5vh;
    margin-left: 1.5vh;
    overflow: hidden;
}

.projects-main-grid {

}

header {
    grid-column: 1;
    grid-row: 1;
    opacity: 1;
}

#nav, #nav-mobile {
    opacity: 1;
    margin-left: 0;
    /*left: -20vw;
    top: 25vh;*/
    display: inline-block;
}

#left-menu {
    grid-column: 2;
    grid-row: 1;
    float: left;
    color: black;
    margin-bottom: 3.5vh;
}


#left-menu a:hover {
    text-decoration: underline;
    color: darkorange;
    cursor: pointer;
}

#menuBorder {
    grid-column: 1;
    grid-row: 2 / 3;
    width: 0;
    border-left: 0.3vh dashed darkorange;
    justify-self: end;
    transform: translateX(50%);
}

.logo-letter-box, nav {
    pointer-events: initial;
}

#left-menu-model {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    visibility: hidden;
    pointer-events: none;
}

#upperDynamic, #bottomDynamic, #upperDynamic-model, #bottomDynamic-model {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    position: fixed;
    transition: 0.1s;

}

#upperDynamic, #bottomDynamic {
    pointer-events: none;
}

#upperDynamic {

}

#bottomDynamic {

}

nav {
    grid-column: 1;
    grid-row: 3;
    margin-left: 1.5vh;
}

nav * {
    display: inline-block;
}


#mouseDiv {
    width: 0;
    height: 3.5vh;
    color: green;
}

#title {
    color: darkorange;
    cursor: pointer;
}

#right-corner-menu {
    grid-column: 2;
    grid-row: 1;
    text-align: right;
    color: lightgray;
    display: flex;
    justify-content: flex-end;
}

#store-badge {
    position: absolute;
    background-color: darkorange;
    border-radius: 100%;
    border: .5vh solid lightgray;
    height: 13vh;
    width: 13vh;
    display: flex;
    align-items: center;
    text-align: center;
    transform: rotate(10deg);
    text-decoration: underline;
}

#store {
    text-decoration: underline;
    color: black;
}

#right-corner-menu a:hover {
    color: darkorange;
}

#subtitle, aside {
    position: absolute;
    float: right;
}

#subtitle {
    text-transform: uppercase;
    margin-top: 0.8vh;
}

#project-filter {
    clear: both;
    margin-bottom: 3.5vh;
    color: lightgray;
    transition: .2s;
    overflow-y: hidden;
}

.filtro {
    text-decoration: none;
    color: lightgray;
}

.filtro:hover {
    color: darkorange;
    cursor: pointer;
}

.filtroSelected {
    color: darkorange;
}

.filtroSelected:hover {
    color: darkorange;
    cursor: pointer;
}

a {
    cursor: pointer;
    color: black;
    text-decoration: underline;
    -webkit-user-select: none;  /* Chrome all / Safari all */
    -moz-user-select: none;     /* Firefox all */
    -ms-user-select: none;      /* IE 10+ */
    user-select: none;          /* Likely future */
}


a:hover {
    cursor: pointer;
}

.navItem:hover {
    text-decoration: underline;
    cursor: pointer;
}

#visiblelogo {

}

.logo-letter {
    /*top: 50vh;
    left: -10vw;*/
    position: fixed;
    transition: 0.2s;
    height: 7vh;
    pointer-events: none;
}

.logo-letter-mobile {
    height: 7vh;
    pointer-events: none;
    transition: 0.2s;
}

.dynamicDiv {

}

main {
    padding-right: 1.5vh;
    grid-row: 2 / 3;
    font-family: reg, sans-serif;
    font-style: normal;
    overflow-y: scroll;
    border-top: .3vh dashed darkorange;
    padding-top: 1.5vh;
    overflow-x: hidden;
}


iframe {
    border: none;
}

#dynamic-content {
    width: 100%;
    margin-right: 1.5vh;
    margin-bottom:10.5vh;
    min-height: 80vh;
}

aside {

}

footer {
    position: fixed;
    bottom: 0;
}

::-webkit-scrollbar {
    -webkit-appearance: none;
    width: 1.5vh;
}

/* Handle */
::-webkit-scrollbar-thumb {
    background-color: white;
    border: 0.3vh solid darkorange;
    border-radius: 100%;
}

/* Track */
::-webkit-scrollbar-track {
    background: darkorange;
}

/* Handle on hover */
::-webkit-scrollbar-thumb:hover {
    border: 0.3vh dashed darkorange;
    border-radius: 100%;
}

/* Track */
::-webkit-scrollbar-track:hover {
    background-color: darkorange;
}

.menuSelected {
    color: darkorange;
}

.menuSelected:hover {
    cursor: pointer;
}

footer, footer * {
    font-size: 2vh;
}

footer a {
    color: darkorange;
}

footer {
    color: darkorange;
    background: white; /*#d8d8d8;*/
    margin-bottom: 1.5vh;
    margin-top: -0.5vh;
}

#left-menu-mobile {
    flex-direction: row;
    justify-content: space-between;
    display: none;
    margin-top: 1.5vh;
    margin-left: 1.5vh;
}

#menubr {
    display: none;
}

#amburguer {
    display: none;
    transform: rotate(245deg);
    top: 1.5vh;
    right: 2vh;
    letter-spacing: -0.4vh;
    color: black;
    text-decoration: none;
}

#mobile-menu-cont {
    position: fixed;
    top: 0;
    width: 100vw;
    height: 100vh;
    background-color: rgba(0, 0, 0, 0);
    pointer-events: none;
    left: 0;
    margin: 0;
    display: none;
}

#mobile-menu-cont:target {
    pointer-events: auto;
    background-color: rgba(0, 0, 0, 0.5);
}

#mobile-menu {
    position: fixed;
    top: 0;
    width: 80vw;
    height: 100vh;
    background-color: #f1f1f1;
    padding: 1vh 1.5vh 1.5vh;
    left: 100vw;
}

#mobile-menu-cont:target #mobile-menu {
    left: 20vw;
    transition: 0.2s;
}

#mobile-menu-sair {
    position: fixed;
    top: 0;
    width: 100vw;
    height: 100vh;
    left: 0;
    margin: 0;
}

@media (max-aspect-ratio: 5/4) {
    #project-filter {
        display: none;
    }

    #mobile-menu-cont {
        display: block;
    }
}

@media (max-aspect-ratio: 10/9) {
    #store {
        display: none;
    }

    #mulDes {
        display: none;
    }

    #amburguer {
        display: block;
    }

    #nav {
        display: none;
    }
}

::selection{
    color: white;
    background: darkorange;
}








